Bug 144902 - New version of calc and impress can't run on windows 7 (since version 7.1.5)
Summary: New version of calc and impress can't run on windows 7 (since version 7.1.5)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.5.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 145143 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-10-04 02:05 UTC by ywupub
Modified: 2021-10-15 19:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
dump1 of soffice.exe (255.82 KB, application/octet-stream)
2021-10-04 08:54 UTC, ywupub
Details
dump2 of soffice.exe (255.28 KB, application/octet-stream)
2021-10-04 08:55 UTC, ywupub
Details
dump3 of soffice.exe (255.35 KB, application/octet-stream)
2021-10-04 08:55 UTC, ywupub
Details
dump1 of soffice.bin (4.52 MB, application/octet-stream)
2021-10-04 08:56 UTC, ywupub
Details
dump2 of soffice.bin (4.51 MB, application/octet-stream)
2021-10-04 08:58 UTC, ywupub
Details
dump3 of soffice.bin (4.52 MB, application/octet-stream)
2021-10-04 08:59 UTC, ywupub
Details
dump_NoSuchElementException (4.18 MB, application/octet-stream)
2021-10-04 13:15 UTC, ywupub
Details
dump_bad_alloc (4.87 MB, application/octet-stream)
2021-10-04 13:16 UTC, ywupub
Details
libreoffice dir tree (543.33 KB, text/plain)
2021-10-04 21:30 UTC, ywupub
Details
python API monitor saving (2.21 MB, text/plain)
2021-10-06 09:57 UTC, ywupub
Details
Screenshot of the monitor with some summary (176.35 KB, image/png)
2021-10-06 10:05 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ywupub 2021-10-04 02:05:16 UTC
I have tested versions 7.0.6, 7.1.5, 7.1.6, 7.2.1, and 7.2.2 on my old laptop [1] running windows 7 Professional 64bit, only 7.0.6 works fine with all components.

For version 7.1.5, 7.2.1 and 7.2.2, writer runs well, but the Calc and impress components can't run well, Calc gets quit when input any texts in the cell; the Impress gets closed immediately after the template window pops up.

Version 7.1.6 can't run at all.

[1] Thinkpad x61 Intel Core2 Duo CPU T8100.
Comment 1 Mike Kaganski 2021-10-04 04:35:03 UTC
(In reply to ywupub from comment #0)
> Version 7.1.6 can't run at all.
> 
> [1] Thinkpad x61 Intel Core2 Duo CPU T8100.

This is tdf#144598.

For others - have you tried to reset your user profile?
https://wiki.documentfoundation.org/UserProfile
Comment 2 ywupub 2021-10-04 08:04:03 UTC
(In reply to Mike Kaganski from comment #1)
> (In reply to ywupub from comment #0)
> > Version 7.1.6 can't run at all.
> > 
> > [1] Thinkpad x61 Intel Core2 Duo CPU T8100.
> 
> This is tdf#144598.

Yes.

> 
> For others - have you tried to reset your user profile?
> https://wiki.documentfoundation.org/UserProfile

I've tried to delete all of the default user profile dir, but still met the issue.

The detail of Calc is:
```
Problem signature:
  Problem Event Name:	APPCRASH
  Application Name:	soffice.bin
  Application Version:	7.1.5.2
  Application Timestamp:	60f30d57
  Fault Module Name:	ucrtbase.DLL
  Fault Module Version:	10.0.10240.16390
  Fault Module Timestamp:	55a5b718
  Exception Code:	40000015
  Exception Offset:	0000000000065a5f
  OS Version:	6.1.7601.2.1.0.256.48
  Locale ID:	1033
  Additional Information 1:	ce0b
  Additional Information 2:	ce0b2d27d996a72f23788b9067849b07
  Additional Information 3:	1a77
  Additional Information 4:	1a776ad966d1a306706a51243d190c10

Read our privacy statement online:
  http://go.microsoft.com/fwlink/?linkid=104288&clcid=0x0409

If the online privacy statement is not available, please read our privacy statement offline:
  C:\Windows\system32\en-US\erofflps.txt
```

The detail of Impress is:
```
Problem signature:
  Problem Event Name:	APPCRASH
  Application Name:	soffice.bin
  Application Version:	7.1.5.2
  Application Timestamp:	60f30d57
  Fault Module Name:	ucrtbase.DLL
  Fault Module Version:	10.0.10240.16390
  Fault Module Timestamp:	55a5b718
  Exception Code:	40000015
  Exception Offset:	0000000000065a5f
  OS Version:	6.1.7601.2.1.0.256.48
  Locale ID:	1033
  Additional Information 1:	2677
  Additional Information 2:	267700ba0a03cac95e9a1318982b93f5
  Additional Information 3:	0557
  Additional Information 4:	0557b53dc66683c262583f4c048909ea

Read our privacy statement online:
  http://go.microsoft.com/fwlink/?linkid=104288&clcid=0x0409

If the online privacy statement is not available, please read our privacy statement offline:
  C:\Windows\system32\en-US\erofflps.txt
```
Comment 3 Mike Kaganski 2021-10-04 08:30:03 UTC
(In reply to ywupub from comment #2)
>   Fault Module Name:	ucrtbase.DLL
>   Fault Module Version:	10.0.10240.16390
>   Fault Module Timestamp:	55a5b718
>   Exception Code:	40000015
>   Exception Offset:	0000000000065a5f

The crash in in UCRT (a Windows component); looking for this exact crash location does not give anything specific (it returns many hits [1], some of them referring to problems with UCRT itself).

Please see if anything of the following helps:

1. Try to reinstall UCRT: download and install latest VS redist for x64 at https://docs.microsoft.com/en-US/cpp/windows/latest-supported-vc-redist.
2. Check if you installed LibreOffice into a directory containing any non-English letters, and if you did, try installing into all-English-letters directory (I see one link from [1] to point to such a case, but actually I doubt it's your case, given the "Locale ID: 1033" in your info).

If that doesn't help, please try to obtain a crash dump.
1. If after the crash, the nest start asks you to send a crash report to LibreOffice project, please do, and post a link to the sent report here.
2. If it does not, please try to obtain a minidump using [2], or using ProcDump utility from Microsoft [3], and send this dump file here.

These could possibly help us to see what is causing the crash on your system.
Thank you!

[1] https://www.google.com/search?q=%22Fault+Module+Name%3A+ucrtbase.DLL%22+%22Fault+Module+Version%3A+10.0.10240.16390%22+%22Fault+Module+Timestamp%3A+55a5b718%22+%22Exception+Code%3A+40000015%22+%22Exception+Offset%3A+0000000000065a5f%22&newwindow=1&hl=en&sxsrf=AOaemvKJyen98VcjxhinelpT471UqTA1uA%3A1633335028352&ei=9LZaYeeAFe3jrgTY843QBQ&ved=0ahUKEwjnyqeRp7DzAhXtsYsKHdh5A1oQ4dUDCA4&uact=5&oq=%22Fault+Module+Name%3A+ucrtbase.DLL%22+%22Fault+Module+Version%3A+10.0.10240.16390%22+%22Fault+Module+Timestamp%3A+55a5b718%22+%22Exception+Code%3A+40000015%22+%22Exception+Offset%3A+0000000000065a5f%22
[2] https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
[3] https://docs.microsoft.com/en-us/sysinternals/downloads/procdump
Comment 4 ywupub 2021-10-04 08:54:40 UTC
Created attachment 175490 [details]
dump1 of soffice.exe
Comment 5 ywupub 2021-10-04 08:55:16 UTC
Created attachment 175491 [details]
dump2 of soffice.exe
Comment 6 ywupub 2021-10-04 08:55:57 UTC
Created attachment 175492 [details]
dump3 of soffice.exe
Comment 7 ywupub 2021-10-04 08:56:44 UTC
Created attachment 175493 [details]
dump1 of soffice.bin
Comment 8 ywupub 2021-10-04 08:58:08 UTC
Created attachment 175494 [details]
dump2 of soffice.bin
Comment 9 ywupub 2021-10-04 08:59:25 UTC
Created attachment 175495 [details]
dump3 of soffice.bin
Comment 10 ywupub 2021-10-04 09:03:25 UTC
(In reply to Mike Kaganski from comment #3)
> (In reply to ywupub from comment #2)
> >   Fault Module Name:	ucrtbase.DLL
> >   Fault Module Version:	10.0.10240.16390
> >   Fault Module Timestamp:	55a5b718
> >   Exception Code:	40000015
> >   Exception Offset:	0000000000065a5f
> 
> The crash in in UCRT (a Windows component); looking for this exact crash
> location does not give anything specific (it returns many hits [1], some of
> them referring to problems with UCRT itself).
> 
> Please see if anything of the following helps:
> 
> 1. Try to reinstall UCRT: download and install latest VS redist for x64 at
> https://docs.microsoft.com/en-US/cpp/windows/latest-supported-vc-redist.

Tried, but sadly it doesn't work.

> 2. Check if you installed LibreOffice into a directory containing any
> non-English letters, and if you did, try installing into all-English-letters
> directory (I see one link from [1] to point to such a case, but actually I
> doubt it's your case, given the "Locale ID: 1033" in your info).

I installed it into the default directory: c:\Program Files\LibreOffice\

> 
> If that doesn't help, please try to obtain a crash dump.
> 1. If after the crash, the nest start asks you to send a crash report to
> LibreOffice project, please do, and post a link to the sent report here.
> 2. If it does not, please try to obtain a minidump using [2], or using
> ProcDump utility from Microsoft [3], and send this dump file here.

I got the dump by Procdump, but there are 3 processes of soffice.bin and soffice.exe respectively, I don't know which one is the right one, so I made dump for all of them, please check the attachments.

> 
> These could possibly help us to see what is causing the crash on your system.
> Thank you!
> 
> [1]
> https://www.google.com/search?q=%22Fault+Module+Name%3A+ucrtbase.
> DLL%22+%22Fault+Module+Version%3A+10.0.10240.
> 16390%22+%22Fault+Module+Timestamp%3A+55a5b718%22+%22Exception+Code%3A+400000
> 15%22+%22Exception+Offset%3A+0000000000065a5f%22&newwindow=1&hl=en&sxsrf=AOae
> mvKJyen98VcjxhinelpT471UqTA1uA%3A1633335028352&ei=9LZaYeeAFe3jrgTY843QBQ&ved=
> 0ahUKEwjnyqeRp7DzAhXtsYsKHdh5A1oQ4dUDCA4&uact=5&oq=%22Fault+Module+Name%3A+uc
> rtbase.DLL%22+%22Fault+Module+Version%3A+10.0.10240.
> 16390%22+%22Fault+Module+Timestamp%3A+55a5b718%22+%22Exception+Code%3A+400000
> 15%22+%22Exception+Offset%3A+0000000000065a5f%22
> [2] https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
> [3] https://docs.microsoft.com/en-us/sysinternals/downloads/procdump
Comment 11 Mike Kaganski 2021-10-04 09:28:44 UTC
(In reply to ywupub from comment #10)
> I got the dump by Procdump, but there are 3 processes of soffice.bin and
> soffice.exe respectively, I don't know which one is the right one, so I made
> dump for all of them, please check the attachments.

Thank you very much for your effort!
Unfortunately, all three don't have a useful information in them.
Possibly it was because those processes were snapshotted not at the moment when the crash happened.

0. Please use LibreOffice 7.2.1 if possible. You may use a portable version for that, if that would be more comfortable (not requiring you to uninstall 7.1.5).

1. Make sure that no soffice.bin processes run (kill them all before running LibreOffice to get the trace). This will also automatically remove all soffice.exe processes (but the latter are not interesting).

2. Run LibreOffice. Do not yet open Calc or Impress; or at least do not attempt actions that cause the crash.

3. Run ProcMon using the command line:

> procdump64.exe -e soffice.bin

4. Switch to LibreOffice, and proceed with the action that causes the crash.

Hopefully this would produce the minidump exactly at the point that is interesting to us.

Thank you again!
Comment 12 ywupub 2021-10-04 12:14:47 UTC
(In reply to Mike Kaganski from comment #11)
> (In reply to ywupub from comment #10)
> > I got the dump by Procdump, but there are 3 processes of soffice.bin and
> > soffice.exe respectively, I don't know which one is the right one, so I made
> > dump for all of them, please check the attachments.
> 
> Thank you very much for your effort!
> Unfortunately, all three don't have a useful information in them.
> Possibly it was because those processes were snapshotted not at the moment
> when the crash happened.
> 
> 0. Please use LibreOffice 7.2.1 if possible. You may use a portable version
> for that, if that would be more comfortable (not requiring you to uninstall
> 7.1.5).
> 
> 1. Make sure that no soffice.bin processes run (kill them all before running
> LibreOffice to get the trace). This will also automatically remove all
> soffice.exe processes (but the latter are not interesting).
> 
> 2. Run LibreOffice. Do not yet open Calc or Impress; or at least do not
> attempt actions that cause the crash.
> 
> 3. Run ProcMon using the command line:
> 
> > procdump64.exe -e soffice.bin
> 
> 4. Switch to LibreOffice, and proceed with the action that causes the crash.
> 
> Hopefully this would produce the minidump exactly at the point that is
> interesting to us.
> 
> Thank you again!

Thank you, I deinstalled libreoffice 7.1.5, deleted all the user profile, installed libreoffice 7.2.1, then use the method you told, but unfortunately I can't get the dump files.

For the crash of impress, when the crash happened, the impress window got close immediately.
For the crash of Calc, when the crash happened, the Calc window got no response anymore, but no the close.

The procdump printed some messages and attached following, hope it can do some help.

---Impress---
Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation.  All rights reserved.

d:\Procdump>procdump64.exe -e soffice.bin

ProcDump v10.11 - Sysinternals process dump utility
Copyright (C) 2009-2021 Mark Russinovich and Andrew Richards
Sysinternals - www.sysinternals.com

Process:               soffice.bin (4080)
Process image:         C:\Program Files\LibreOffice\program\soffice.bin
CPU threshold:         n/a
Performance counter:   n/a
Commit threshold:      n/a
Threshold seconds:     n/a
Hung window check:     Disabled
Log debug strings:     Disabled
Exception monitor:     Unhandled
Exception filter:      [Includes]
                       *
                       [Excludes]
Terminate monitor:     Disabled
Cloning type:          Disabled
Concurrent limit:      n/a
Avoid outage:          n/a
Number of dumps:       1
Dump folder:           d:\Procdump\
Dump filename/mask:    PROCESSNAME_YYMMDD_HHMMSS
Queue to WER:          Disabled
Kill after dump:       Disabled


Press Ctrl-C to end monitoring without terminating the process.

[20:03:35] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[20:03:37] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[20:03:37] Exception: 406D1388
[20:03:37] Exception: 406D1388
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[20:03:38] Exception: E06D7363.msc
[20:03:38] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[20:03:38] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:38] Exception: E06D7363.msc
[20:03:38] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: 406D1388
[20:03:38] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:38] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.msc
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:39] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:39] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:39] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.msc
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.msc
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:39] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.msc
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[20:03:39] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:03:39] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.msc
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:39] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:39] Exception: E06D7363.msc
[20:03:39] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:03:40] Exception: 406D1388
[20:03:40] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:40] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:40] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:40] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:40] Exception: E06D7363.?AVUnknownPropertyException@beans@star@sun@com@@
[20:03:40] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:40] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[20:03:40] Exception: E06D7363.?AVSAXException@sax@xml@star@sun@com@@
[20:03:40] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[20:03:40] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:40] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[20:03:40] Exception: E06D7363.?AVSAXException@sax@xml@star@sun@com@@
[20:03:40] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:40] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[20:03:40] Exception: E06D7363.?AVSAXException@sax@xml@star@sun@com@@
[20:03:40] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:03:41] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[20:03:41] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[20:03:41] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[20:03:41] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[20:03:41] Exception: 406D1388
[20:03:41] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[20:03:41] Exception: E06D7363.msc
[20:03:41] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[20:03:41] Exception: E06D7363.?AVInteractiveNetworkReadException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.msc
[20:03:41] Exception: E06D7363.?AVInteractiveNetworkReadException@ucb@star@sun@c
om@@
[20:03:41] Exception: E06D7363.msc
[20:03:41] Exception: E06D7363.?AVInteractiveNetworkReadException@ucb@star@sun@c
om@@
[20:03:41] Exception: 406D1388
[20:03:41] Exception: 406D1388
[20:03:41] Exception: 406D1388
[20:03:41] Exception: 406D1388
[20:03:41] Exception: 406D1388
[20:03:41] Exception: 406D1388
[20:03:41] Exception: 406D1388
[20:03:41] Exception: 406D1388
[20:03:42] Exception: 406D1388
[20:03:42] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:03:42] Exception: E06D7363.?AVIllegalArgumentException@lang@star@sun@com@@
[20:03:42] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[20:03:42] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[20:03:42] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:03:42] Exception: 406D1388
[20:03:42] Exception: E06D7363.?AVNoSuchElementException@container@star@sun@com@
@
[20:03:43] Exception: E06D7363.?AVbad_alloc@std@@
[20:03:44] The process has exited.
[20:03:44] Dump count not reached.

---Calc---
Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation.  All rights reserved.

d:\Procdump>procdump64.exe -e soffice.bin

ProcDump v10.11 - Sysinternals process dump utility
Copyright (C) 2009-2021 Mark Russinovich and Andrew Richards
Sysinternals - www.sysinternals.com

Process:               soffice.bin (3236)
Process image:         C:\Program Files\LibreOffice\program\soffice.bin
CPU threshold:         n/a
Performance counter:   n/a
Commit threshold:      n/a
Threshold seconds:     n/a
Hung window check:     Disabled
Log debug strings:     Disabled
Exception monitor:     Unhandled
Exception filter:      [Includes]
                       *
                       [Excludes]
Terminate monitor:     Disabled
Cloning type:          Disabled
Concurrent limit:      n/a
Avoid outage:          n/a
Number of dumps:       1
Dump folder:           d:\Procdump\
Dump filename/mask:    PROCESSNAME_YYMMDD_HHMMSS
Queue to WER:          Disabled
Kill after dump:       Disabled


Press Ctrl-C to end monitoring without terminating the process.

[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: 406D1388
[20:07:30] Exception: 406D1388
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.msc
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: 406D1388
[20:07:30] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.msc
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.msc
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.msc
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.msc
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.msc
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.msc
[20:07:30] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[20:07:30] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[20:07:30] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[20:07:32] Exception: E06D7363.?AVNoSuchElementException@container@star@sun@com@
@
[20:07:32] Exception: E06D7363.?AVNoSuchElementException@container@star@sun@com@
@
[20:07:32] Exception: E06D7363.?AVNoSuchElementException@container@star@sun@com@
@
[20:07:32] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[20:07:32] Exception: E06D7363.?AVbad_alloc@std@@
[20:07:51] The process has exited.
[20:07:51] Dump count not reached.
Comment 13 Mike Kaganski 2021-10-04 12:59:25 UTC
(In reply to ywupub from comment #12)

Thank you!
I assumed that there will be some unhandled exception, but obviously that was not the case. Yet, thanks to your report, I suppose I can suggest a new command line that would work, since now I see some suspicious exceptions reported by the tool.

Could you please try again with Impress, using this command line:

> d:\Procdump>procdump64.exe -e 1 -f bad_alloc soffice.bin

and just in case, another one with Impress, using this command line:

> d:\Procdump>procdump64.exe -e 1 -f NoSuchElementException soffice.bin

Thanks!
Comment 14 ywupub 2021-10-04 13:15:11 UTC
Created attachment 175504 [details]
dump_NoSuchElementException
Comment 15 ywupub 2021-10-04 13:16:30 UTC
Created attachment 175505 [details]
dump_bad_alloc
Comment 16 ywupub 2021-10-04 13:19:50 UTC
(In reply to Mike Kaganski from comment #13)
> (In reply to ywupub from comment #12)
> 
> Thank you!
> I assumed that there will be some unhandled exception, but obviously that
> was not the case. Yet, thanks to your report, I suppose I can suggest a new
> command line that would work, since now I see some suspicious exceptions
> reported by the tool.
> 
> Could you please try again with Impress, using this command line:
> 
> > d:\Procdump>procdump64.exe -e 1 -f bad_alloc soffice.bin
> 
> and just in case, another one with Impress, using this command line:
> 
> > d:\Procdump>procdump64.exe -e 1 -f NoSuchElementException soffice.bin
> 
> Thanks!

It's my pleasure!

This time the dump files can be produced and attached, also the terminal printed some information as follows, hope it help:
---
procdump64.exe -e 1 -f bad_alloc soffice.bin
---
Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation.  All rights reserved.

d:\Procdump>procdump64.exe -e 1 -f bad_alloc soffice.bin

ProcDump v10.11 - Sysinternals process dump utility
Copyright (C) 2009-2021 Mark Russinovich and Andrew Richards
Sysinternals - www.sysinternals.com

Process:               soffice.bin (3700)
Process image:         C:\Program Files\LibreOffice\program\soffice.bin
CPU threshold:         n/a
Performance counter:   n/a
Commit threshold:      n/a
Threshold seconds:     n/a
Hung window check:     Disabled
Log debug strings:     Disabled
Exception monitor:     First Chance+Unhandled
Exception filter:      [Includes]
                       *bad_alloc*
                       [Excludes]
Terminate monitor:     Disabled
Cloning type:          Disabled
Concurrent limit:      n/a
Avoid outage:          n/a
Number of dumps:       1
Dump folder:           d:\Procdump\
Dump filename/mask:    PROCESSNAME_YYMMDD_HHMMSS
Queue to WER:          Disabled
Kill after dump:       Disabled


Press Ctrl-C to end monitoring without terminating the process.

[21:12:02] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[21:12:03] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[21:12:04] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[21:12:04] Exception: E06D7363.msc
[21:12:04] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[21:12:05] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[21:12:06] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[21:12:07] Exception: 406D1388
[21:12:07] Exception: 406D1388
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: 406D1388
[21:12:07] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVDAVException@webdav_ucp@@
[21:12:07] Exception: E06D7363.?AVInteractiveNetworkReadException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVInteractiveNetworkReadException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVInteractiveNetworkReadException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.msc
[21:12:07] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVUnknownPropertyException@beans@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVSAXException@sax@xml@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVSAXException@sax@xml@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVSAXException@sax@xml@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:12:07] Exception: 406D1388
[21:12:07] Exception: 406D1388
[21:12:07] Exception: 406D1388
[21:12:07] Exception: 406D1388
[21:12:07] Exception: 406D1388
[21:12:07] Exception: 406D1388
[21:12:07] Exception: 406D1388
[21:12:07] Exception: 406D1388
[21:12:07] Exception: 406D1388
[21:12:08] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:12:08] Exception: E06D7363.?AVIllegalArgumentException@lang@star@sun@com@@
[21:12:08] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:12:08] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:12:08] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:12:08] Exception: E06D7363.?AVNoSuchElementException@container@star@sun@com@
@
[21:12:08] Exception: E06D7363.?AVbad_alloc@std@@
[21:12:08] Dump 1 initiated: d:\Procdump\soffice.bin_211004_211208.dmp
[21:12:10] Dump 1 complete: 5 MB written in 1.7 seconds
[21:12:10] Dump count reached.

---
procdump64.exe -e 1 -f NoSuchElementException soffice.bin
---
Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation.  All rights reserved.

d:\Procdump>procdump64.exe -e 1 -f NoSuchElementException soffice.bin

ProcDump v10.11 - Sysinternals process dump utility
Copyright (C) 2009-2021 Mark Russinovich and Andrew Richards
Sysinternals - www.sysinternals.com

Process:               soffice.bin (496)
Process image:         C:\Program Files\LibreOffice\program\soffice.bin
CPU threshold:         n/a
Performance counter:   n/a
Commit threshold:      n/a
Threshold seconds:     n/a
Hung window check:     Disabled
Log debug strings:     Disabled
Exception monitor:     First Chance+Unhandled
Exception filter:      [Includes]
                       *NoSuchElementException*
                       [Excludes]
Terminate monitor:     Disabled
Cloning type:          Disabled
Concurrent limit:      n/a
Avoid outage:          n/a
Number of dumps:       1
Dump folder:           d:\Procdump\
Dump filename/mask:    PROCESSNAME_YYMMDD_HHMMSS
Queue to WER:          Disabled
Kill after dump:       Disabled


Press Ctrl-C to end monitoring without terminating the process.

[21:13:20] Exception: 406D1388
[21:13:20] Exception: 406D1388
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.msc
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:13:20] Exception: 406D1388
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.msc
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.msc
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.msc
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.msc
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.msc
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.msc
[21:13:20] Exception: E06D7363.?AVIOException@io@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVUnknownPropertyException@beans@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVSAXException@sax@xml@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVSAXException@sax@xml@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVRuntimeException@uno@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVSAXException@sax@xml@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:20] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:21] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:21] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:21] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:21] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:21] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:21] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:21] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:21] Exception: E06D7363.?AVInteractiveAugmentedIOException@ucb@star@sun@c
om@@
[21:13:21] Exception: 406D1388
[21:13:21] Exception: 406D1388
[21:13:21] Exception: 406D1388
[21:13:21] Exception: 406D1388
[21:13:21] Exception: 406D1388
[21:13:21] Exception: 406D1388
[21:13:21] Exception: 406D1388
[21:13:21] Exception: 406D1388
[21:13:21] Exception: 406D1388
[21:13:21] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:13:21] Exception: E06D7363.?AVIllegalArgumentException@lang@star@sun@com@@
[21:13:21] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:13:21] Exception: E06D7363.?AVXPathException@xpath@xml@star@sun@com@@
[21:13:21] Exception: E06D7363.?AVContentCreationException@ucb@star@sun@com@@
[21:13:21] Exception: E06D7363.?AVNoSuchElementException@container@star@sun@com@
@
[21:13:21] Dump 1 initiated: d:\Procdump\soffice.bin_211004_211321.dmp
[21:13:21] Dump 1 complete: 5 MB written in 0.2 seconds
[21:13:21] Dump count reached.
Comment 17 Mike Kaganski 2021-10-04 15:24:52 UTC
(In reply to ywupub from comment #16)

Great. This was really helpful, and I see the stack trace now.
And it seems to suggest that your installation is broken for some reason - it can't load some necessary (and very fundamental) python module, namely 'uno' module. It looks like the installation is somehow broken (even though you obviously have reinstalled it several times already).

Can I ask you to reinstall it cleanly? I mean:

1. Uninstall LibreOffice.
2. In Explorer, go to Program Files, and delete 'LibreOffice' directory.
3. Install LibreOffice again.

I hope it could help, possibly making sure that everything is installed correctly this time. I am not sure though; I have never seen such a problem previously.
Comment 18 ywupub 2021-10-04 15:57:14 UTC
(In reply to Mike Kaganski from comment #17)
> (In reply to ywupub from comment #16)
> 
> Great. This was really helpful, and I see the stack trace now.
> And it seems to suggest that your installation is broken for some reason -
> it can't load some necessary (and very fundamental) python module, namely
> 'uno' module. It looks like the installation is somehow broken (even though
> you obviously have reinstalled it several times already).
> 
> Can I ask you to reinstall it cleanly? I mean:
> 
> 1. Uninstall LibreOffice.
> 2. In Explorer, go to Program Files, and delete 'LibreOffice' directory.
> 3. Install LibreOffice again.
> 
> I hope it could help, possibly making sure that everything is installed
> correctly this time. I am not sure though; I have never seen such a problem
> previously.

Actually, I have tried that before for several times (deleted whole directories of user profile and c:\Program Files\LibreOffice\), I tried it again after your suggestion, and choose the typical installation, still without luck...
Comment 19 Roman Kuznetsov 2021-10-04 17:38:58 UTC
(In reply to ywupub from comment #18)
 
> Actually, I have tried that before for several times (deleted whole
> directories of user profile and c:\Program Files\LibreOffice\), I tried it
> again after your suggestion, and choose the typical installation, still
> without luck...

I hope you downloaded LibreOffice from an official site https://libreoffice.org/download ?
Comment 20 ywupub 2021-10-04 21:30:51 UTC
Created attachment 175514 [details]
libreoffice dir tree
Comment 21 ywupub 2021-10-04 21:32:58 UTC
(In reply to Mike Kaganski from comment #17)
> (In reply to ywupub from comment #16)
> 
> Great. This was really helpful, and I see the stack trace now.
> And it seems to suggest that your installation is broken for some reason -
> it can't load some necessary (and very fundamental) python module, namely
> 'uno' module. It looks like the installation is somehow broken (even though
> you obviously have reinstalled it several times already).
> 
> Can I ask you to reinstall it cleanly? I mean:
> 
> 1. Uninstall LibreOffice.
> 2. In Explorer, go to Program Files, and delete 'LibreOffice' directory.
> 3. Install LibreOffice again.
> 
> I hope it could help, possibly making sure that everything is installed
> correctly this time. I am not sure though; I have never seen such a problem
> previously.

Is it possible that the files have been installed but can't be run? So I attached libreoffice dir tree to let you check if there are files missing or not-working?
Comment 22 ywupub 2021-10-04 21:34:10 UTC
(In reply to Roman Kuznetsov from comment #19)
> (In reply to ywupub from comment #18)
>  
> > Actually, I have tried that before for several times (deleted whole
> > directories of user profile and c:\Program Files\LibreOffice\), I tried it
> > again after your suggestion, and choose the typical installation, still
> > without luck...
> 
> I hope you downloaded LibreOffice from an official site
> https://libreoffice.org/download ?

Yes, all of installation files are from https://libreoffice.org (old files are from https://downloadarchive.documentfoundation.org/libreoffice/old/)
Comment 23 Mike Kaganski 2021-10-05 06:32:53 UTC
(In reply to ywupub from comment #21)
> Is it possible that the files have been installed but can't be run? So I
> attached libreoffice dir tree to let you check if there are files missing or
> not-working?

Yes, everything looks OK in the tree. And yes, it looks that something prevents python from running on your system.

May it be antivirus? Or some other security engine? I can't suggest you something specific to try, just some general direction of investigation.

You might also try Process Monitor from Sysinternals to try to monitor soffice.bin from the point before the crash until the crash, and check if there's something suspicious in the output - failures to launch executables, file not found (there will be lots of legitimate "file not found" cases...).

I can only tell that I have tested that failure to load "pythonloader" and "uno" modules (in getLoaderModule [1] and importUnoModule ​[2]), as happens on your system, does crash the program. I can't tell why it may happen, though. Removing LibreOffice from Program Files, and user profile, removes every setting specific to LibreOffice configuration on your system - so it is something external. And you also have checked that the UCRT system library, along with VC redist, are re-installed.

[1] https://opengrok.libreoffice.org/xref/core/pyuno/source/loader/pyuno_loader.cxx?r=c099288c#84
[2] https://opengrok.libreoffice.org/xref/core/pyuno/source/module/pyuno_runtime.cxx?r=05bc93db#17
Comment 24 Ming Hua 2021-10-05 13:04:02 UTC
(In reply to Mike Kaganski from comment #23)
> And yes, it looks that something
> prevents python from running on your system.
We bundle python 3.7 with 7.0 series, and python 3.8 with 7.1 and 7.2 series.

Maybe it's worth testing if the bundled python actually works on reporter's machine?
Comment 25 Mike Kaganski 2021-10-05 15:30:44 UTC
(In reply to Ming Hua from comment #24)
> Maybe it's worth testing if the bundled python actually works on reporter's
> machine?

Definitely - thanks!

ywupub: could you please:

1. Open command prompt (cmd.exe);
2. Run

> "C:\Program Files\LibreOffice\program\python.exe"

3. In Python command prompt, execute

> import uno
> import pythonloader
> pythonloader.DEBUG=1
> l = pythonloader.Loader(uno.getComponentContext())
> l.getImplementationName()

I hope this would run successfully. But maybe we do have some problem with bundled Python?
Comment 26 ywupub 2021-10-05 23:43:40 UTC
(In reply to Mike Kaganski from comment #25)
> (In reply to Ming Hua from comment #24)
> > Maybe it's worth testing if the bundled python actually works on reporter's
> > machine?
> 
> Definitely - thanks!
> 
> ywupub: could you please:
> 
> 1. Open command prompt (cmd.exe);
> 2. Run
> 
> > "C:\Program Files\LibreOffice\program\python.exe"
> 
> 3. In Python command prompt, execute
> 
> > import uno
> > import pythonloader
> > pythonloader.DEBUG=1
> > l = pythonloader.Loader(uno.getComponentContext())
> > l.getImplementationName()
> 
> I hope this would run successfully. But maybe we do have some problem with
> bundled Python?

Sorry, I don't know python at all, I run the cmd you gave line by line, seems the python bundled is the reason for the issue:

Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation.  All rights reserved.

C:\Program Files\LibreOffice\program>python.exe
Python 3.8.10 (default, Sep  9 2021, 17:09:56) [MSC v.1928 64 bit (AMD64)] on wi
n32
Type "help", "copyright", "credits" or "license" for more information.
>>> import uno
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Program Files\LibreOffice\program\uno.py", line 19, in <module>
    import pyuno
ImportError: DLL load failed while importing pyuno: The parameter is incorrect.
>>> import pythonloader
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Program Files\LibreOffice\program\pythonloader.py", line 19, in <modu
le>
    import uno
  File "C:\Program Files\LibreOffice\program\uno.py", line 19, in <module>
    import pyuno
ImportError: DLL load failed while importing pyuno: The parameter is incorrect.
>>> l = pythonloader.Loader(uno.getComponentContext())
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
NameError: name 'pythonloader' is not defined
>>>
Comment 27 Mike Kaganski 2021-10-06 06:06:12 UTC
(In reply to ywupub from comment #26)
> >>> import uno
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File "C:\Program Files\LibreOffice\program\uno.py", line 19, in <module>
>     import pyuno
> ImportError: DLL load failed while importing pyuno: The parameter is
> incorrect.

So we have some problem related to loading of C:\Program Files\LibreOffice\program\pyuno.pyd (which is itself a DLL). Loading it into Python fails with system error 87 ERROR_INVALID_PARAMETER [1]; and it's unclear what gives that error.

Could you please try the same procedure with Python (you may use 'import pyuno' instead of 'import uno'; nothing else is necessary - we only need to diagnose this specific failure), but before issuing this command, run Sysinternals' ProcMon, and check if something comes out from it? Maybe there will be some entries from inside the loaded pyuno.pyd, which ProcMon can show, and allow to look into call stack, so that we see how far it goes when loading, or even what has failed.

Otherwise, we could need to try to use WinDbg to diagnose this on a low level [2], attaching it to the Python process, putting a breakpoint to the functions inside pyuno.pyd (e.g., PyInit_pyuno - *if* it goes as far as calling it), and try to step through until we find a system call resulting in this error code ... which could be very tedious process.

[1] https://docs.microsoft.com/en-us/windows/win32/debug/system-error-codes--0-499-
[2] https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
Comment 28 Mike Kaganski 2021-10-06 06:52:46 UTC
API monitor [1] may also be useful. I have tested it locally (I downloaded the portable version from the link; attached to the python.exe process - the one with the Pythonic icon (there are two "python.exe" processes); and selected everything in API Filter section before running 'import pyuno' in Python), and I saw all the Windows API calls - lots of them - with each result. So using that, we could also find which function returned the error.

[1] http://www.rohitab.com/apimonitor#Download
Comment 29 ywupub 2021-10-06 08:47:33 UTC
(In reply to Mike Kaganski from comment #27)
> (In reply to ywupub from comment #26)
> > >>> import uno
> > Traceback (most recent call last):
> >   File "<stdin>", line 1, in <module>
> >   File "C:\Program Files\LibreOffice\program\uno.py", line 19, in <module>
> >     import pyuno
> > ImportError: DLL load failed while importing pyuno: The parameter is
> > incorrect.
> 
> So we have some problem related to loading of C:\Program
> Files\LibreOffice\program\pyuno.pyd (which is itself a DLL). Loading it into
> Python fails with system error 87 ERROR_INVALID_PARAMETER [1]; and it's
> unclear what gives that error.
> 
> Could you please try the same procedure with Python (you may use 'import
> pyuno' instead of 'import uno'; nothing else is necessary - we only need to
> diagnose this specific failure), but before issuing this command, run
> Sysinternals' ProcMon, and check if something comes out from it? Maybe there
> will be some entries from inside the loaded pyuno.pyd, which ProcMon can
> show, and allow to look into call stack, so that we see how far it goes when
> loading, or even what has failed.
> 
> Otherwise, we could need to try to use WinDbg to diagnose this on a low
> level [2], attaching it to the Python process, putting a breakpoint to the
> functions inside pyuno.pyd (e.g., PyInit_pyuno - *if* it goes as far as
> calling it), and try to step through until we find a system call resulting
> in this error code ... which could be very tedious process.
> 
> [1]
> https://docs.microsoft.com/en-us/windows/win32/debug/system-error-codes--0-
> 499-
> [2] https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg

(In reply to Mike Kaganski from comment #28)
> API monitor [1] may also be useful. I have tested it locally (I downloaded
> the portable version from the link; attached to the python.exe process - the
> one with the Pythonic icon (there are two "python.exe" processes); and
> selected everything in API Filter section before running 'import pyuno' in
> Python), and I saw all the Windows API calls - lots of them - with each
> result. So using that, we could also find which function returned the error.
> 
> [1] http://www.rohitab.com/apimonitor#Download

I'd like to test, but I think maybe some of these tests beyond my understanding...

You mean python standalone on windows?
For Sysinternals' ProcMon, I tried to run it before, but it says "Unable to load Process Monitor device driver".
Comment 30 Mike Kaganski 2021-10-06 09:07:43 UTC
(In reply to ywupub from comment #29)
> You mean python standalone on windows?

I suggest now these steps:

1. Download API monitor (portable) from http://www.rohitab.com/apimonitor#Download
2. Extract it, and run "apimonitor-x64.exe"
3. Open command prompt (cmd.exe);
4. Run

> "C:\Program Files\LibreOffice\program\python.exe"

5. In API monitor, check every checkbox in its "API Filter" list (top left corner), and then double-click on "python.exe" in the "Running Processes" list (bottom left); use the "python.exe" which has a colored icon.

3. In Python command prompt, execute

> import pyuno

and then in API monitor, save the results and post here.

> For Sysinternals' ProcMon, I tried to run it before, but it says "Unable to
> load Process Monitor device driver".

It's a pity; but if using API monitor would work, I hope that it would give better results.
Comment 31 ywupub 2021-10-06 09:53:39 UTC
(In reply to Mike Kaganski from comment #30)
> (In reply to ywupub from comment #29)
> > You mean python standalone on windows?
> 
> I suggest now these steps:
> 
> 1. Download API monitor (portable) from
> http://www.rohitab.com/apimonitor#Download
> 2. Extract it, and run "apimonitor-x64.exe"
> 3. Open command prompt (cmd.exe);
> 4. Run
> 
> > "C:\Program Files\LibreOffice\program\python.exe"
> 
> 5. In API monitor, check every checkbox in its "API Filter" list (top left
> corner), and then double-click on "python.exe" in the "Running Processes"
> list (bottom left); use the "python.exe" which has a colored icon.
> 
> 3. In Python command prompt, execute
> 
> > import pyuno
> 
> and then in API monitor, save the results and post here.

Following is the result from the Monitoring tab in the output window of API Monitor:
python.exe: Monitoring Module 0x000000013fa80000 -> C:\Program Files\LibreOffice\program\python-core-3.8.10\bin\python.exe.
python.exe: Monitoring Module 0x0000000077140000 -> C:\Windows\SYSTEM32\ntdll.dll.
python.exe: Monitoring Module 0x0000000076f20000 -> C:\Windows\system32\kernel32.dll.
python.exe: Monitoring Module 0x000007fefd350000 -> C:\Windows\system32\KERNELBASE.dll.
python.exe: Monitoring Module 0x000007fee8b50000 -> C:\Program Files\LibreOffice\program\python38.dll.
python.exe: Monitoring Module 0x000007fefc170000 -> C:\Windows\system32\VERSION.dll.
python.exe: Monitoring Module 0x000007fefd5a0000 -> C:\Windows\system32\msvcrt.dll.
python.exe: Monitoring Module 0x000007fefe160000 -> C:\Windows\system32\SHLWAPI.dll.
python.exe: Monitoring Module 0x000007fefddc0000 -> C:\Windows\system32\GDI32.dll.
python.exe: Monitoring Module 0x0000000077040000 -> C:\Windows\system32\USER32.dll.
python.exe: Monitoring Module 0x000007fefd880000 -> C:\Windows\system32\LPK.dll.
python.exe: Monitoring Module 0x000007fefde30000 -> C:\Windows\system32\USP10.dll.
python.exe: Monitoring Module 0x000007fefe230000 -> C:\Windows\system32\WS2_32.dll.
python.exe: Monitoring Module 0x000007fefd460000 -> C:\Windows\system32\RPCRT4.dll.
python.exe: Monitoring Module 0x000007fefd590000 -> C:\Windows\system32\NSI.dll.
python.exe: Monitoring Module 0x000007fefd640000 -> C:\Windows\system32\ADVAPI32.dll.
python.exe: Monitoring Module 0x000007fefd860000 -> C:\Windows\SYSTEM32\sechost.dll.
python.exe: Monitoring Module 0x000007fef9770000 -> C:\Windows\system32\VCRUNTIME140.dll.
python.exe: Monitoring Module 0x000007fefa680000 -> C:\Windows\system32\api-ms-win-crt-runtime-l1-1-0.dll.
python.exe: Monitoring Module 0x000007feeb8c0000 -> C:\Windows\system32\ucrtbase.DLL.
python.exe: Monitoring Module 0x000007fefa740000 -> C:\Windows\system32\api-ms-win-core-timezone-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fefa280000 -> C:\Windows\system32\api-ms-win-core-file-l2-1-0.dll.
python.exe: Monitoring Module 0x000007fefa270000 -> C:\Windows\system32\api-ms-win-core-localization-l1-2-0.dll.
python.exe: Monitoring Module 0x000007fefa180000 -> C:\Windows\system32\api-ms-win-core-processthreads-l1-1-1.dll.
python.exe: Monitoring Module 0x000007fef85e0000 -> C:\Windows\system32\api-ms-win-core-file-l1-2-0.dll.
python.exe: Monitoring Module 0x000007fefa260000 -> C:\Windows\system32\api-ms-win-core-synch-l1-2-0.dll.
python.exe: Monitoring Module 0x000007fef8620000 -> C:\Windows\system32\api-ms-win-crt-heap-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef7ed0000 -> C:\Windows\system32\api-ms-win-crt-string-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef7ee0000 -> C:\Windows\system32\api-ms-win-crt-stdio-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef6c50000 -> C:\Windows\system32\api-ms-win-crt-convert-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef6c60000 -> C:\Windows\system32\api-ms-win-crt-math-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef6c30000 -> C:\Windows\system32\api-ms-win-crt-locale-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef6c20000 -> C:\Windows\system32\api-ms-win-crt-time-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef6c40000 -> C:\Windows\system32\api-ms-win-crt-environment-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef4bc0000 -> C:\Windows\system32\api-ms-win-crt-process-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef4bd0000 -> C:\Windows\system32\api-ms-win-crt-conio-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fef4640000 -> C:\Windows\system32\api-ms-win-crt-filesystem-l1-1-0.dll.
python.exe: Monitoring Module 0x000007fefe200000 -> C:\Windows\system32\IMM32.DLL.
python.exe: Monitoring Module 0x000007fefe430000 -> C:\Windows\system32\MSCTF.dll.
python.exe: Monitoring Module 0x000007fefc8e0000 -> C:\Windows\system32\CRYPTSP.dll.
python.exe: Monitoring Module 0x000007fefc5f0000 -> C:\Windows\system32\rsaenh.dll.
python.exe: Monitoring Module 0x000007fefcf80000 -> C:\Windows\system32\CRYPTBASE.dll.
Comment 32 ywupub 2021-10-06 09:57:18 UTC
Created attachment 175558 [details]
python API monitor saving
Comment 33 Mike Kaganski 2021-10-06 10:05:46 UTC
Created attachment 175559 [details]
Screenshot of the monitor with some summary

(In reply to ywupub from comment #31)

I hoped to see the results from Summary (or the saved capture, as the utility asks when you close it); sorry for not being clear.
Comment 34 Mike Kaganski 2021-10-06 10:06:42 UTC
(In reply to ywupub from comment #32)

Ah - crossed this when making my answer; thank you - looking
Comment 35 Mike Kaganski 2021-10-06 10:25:37 UTC
(In reply to ywupub from comment #32)

Very interesting!
The result comes from LoadLibraryExW calls, which are called with LOAD_LIBRARY_SEARCH_DEFAULT_DIRS flag. That flag has this note [1]:

> Windows 7, Windows Server 2008 R2, Windows Vista and Windows Server 2008:  This value requires KB2533623 to be installed.

So it might be actually the problem then. And maybe that's the thing changed in Python 3.8, as Ming Hua suspected?

ywupub: could you please check if you do have this update installed?

[1] https://docs.microsoft.com/en-us/windows/win32/api/libloaderapi/nf-libloaderapi-loadlibraryexw
Comment 36 Mike Kaganski 2021-10-06 10:39:20 UTC
(In reply to Mike Kaganski from comment #35)
> So it might be actually the problem then. And maybe that's the thing changed
> in Python 3.8, as Ming Hua suspected?

And indeed, it was: https://stackoverflow.com/questions/58631512/pywin32-and-python-3-8-0/58632354#58632354

If the missing update turns out to be the problem here, we might need to include an additional system requirement (unexpectedly, retrospectively...)
Comment 37 ywupub 2021-10-06 11:17:18 UTC
(In reply to Mike Kaganski from comment #35)
> (In reply to ywupub from comment #32)
> 
> Very interesting!
> The result comes from LoadLibraryExW calls, which are called with
> LOAD_LIBRARY_SEARCH_DEFAULT_DIRS flag. That flag has this note [1]:
> 
> > Windows 7, Windows Server 2008 R2, Windows Vista and Windows Server 2008:  This value requires KB2533623 to be installed.
> 
> So it might be actually the problem then. And maybe that's the thing changed
> in Python 3.8, as Ming Hua suspected?
> 
> ywupub: could you please check if you do have this update installed?
> 
> [1]
> https://docs.microsoft.com/en-us/windows/win32/api/libloaderapi/nf-
> libloaderapi-loadlibraryexw

Could you please point me out to this explicit windows update link? I don't know which update I should install, and yes, my windows 7 hasn't any updates at all (Yes, I know it's a very bad behavior, but it's another story not related to this topic...)
Comment 38 Mike Kaganski 2021-10-06 12:08:03 UTC
(In reply to ywupub from comment #37)
> Could you please point me out to this explicit windows update link?

https://support.microsoft.com/kb/2533623 gives some links, but they are non-functional. Google gave me https://github.com/dotnet/docs/issues/20459, and I think that you may try to install KB3063858 from https://www.microsoft.com/en-us/download/details.aspx?id=47442 .

> my windows 7 hasn't any updates at all (Yes, I know it's a very bad behavior,
> but it's another story not related to this topic...)

Definitely; we here don't discuss why user does or doesn't do something, but a software failure; and thank you for filing it, and for your continuous effort - I understand that you already had to do a lot here.
Comment 39 ywupub 2021-10-06 13:20:09 UTC
(In reply to Mike Kaganski from comment #38)
> (In reply to ywupub from comment #37)
> > Could you please point me out to this explicit windows update link?
> 
> https://support.microsoft.com/kb/2533623 gives some links, but they are
> non-functional. Google gave me https://github.com/dotnet/docs/issues/20459,
> and I think that you may try to install KB3063858 from
> https://www.microsoft.com/en-us/download/details.aspx?id=47442 .

That's it, it solved the issue perfectly, thank you very much!
Comment 40 Mike Kaganski 2021-10-06 14:27:51 UTC
(In reply to ywupub from comment #39)
> That's it, it solved the issue perfectly, thank you very much!

Thank you!
I have updated release notes for 7.1: https://wiki.documentfoundation.org/ReleaseNotes/7.1#Windows
Comment 41 Mike Kaganski 2021-10-15 19:44:35 UTC
*** Bug 145143 has been marked as a duplicate of this bug. ***